Enrich a business profile
Fetch enriched profile data. Requires a valid email address. This service is offered in collaboration with Clearbit.
To access this endpoint using an access token
you'll need to specify the /profile-enrichment.read scope.
GET
/enrichment/profile
curl -X GET "https://api.moov.io/enrichment/profile" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.enrichedProfile.get({
email: "Thaddeus.Welch@gmail.com",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->enrichedProfile->get(
email: 'Thaddeus.Welch@gmail.com'
);
if ($response->enrichedBusinessResponse !== null) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetEnrichmentProfileResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetEnrichmentProfileResponse res = sdk.enrichedProfile().get()
.email("Thaddeus.Welch@gmail.com")
.call();
if (res.enrichedBusinessResponse().isPresent()) {
System.out.println(res.enrichedBusinessResponse().get());
}
}
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.enriched_profile.get(email="Thaddeus.Welch@gmail.com")
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.enriched_profile.get(email: 'Thaddeus.Welch@gmail.com')
unless res.enriched_business_response.nil?
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.EnrichedProfile.GetAsync(email: "Thaddeus.Welch@gmail.com");
// handle responseThe request completed successfully.
{
"business": {
"address": {
"addressLine1": "123 Main Street",
"addressLine2": "Apt 302",
"city": "Boulder",
"stateOrProvince": "CO",
"postalCode": "80301",
"country": "US"
},
"email": "jordan.lee@classbooker.dev",
"industryCodes": {
"naics": "713940",
"sic": "7991"
},
"legalBusinessName": "string",
"phone": {
"number": "8185551212",
"countryCode": "1"
},
"website": "string"
}
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.04.00
Query parameters
string
required
Response
business
object
Show child attributes
address
object
Show child attributes
addressLine1
string
<=60 characters
required
Pattern
city
string
<=32 characters
required
Pattern
country
string
<=2 characters
required
postalCode
string
<=5 characters
required
stateOrProvince
string
<=2 characters
required
addressLine2
string
<=32 characters
Pattern
string<email>
<=255 characters
industryCodes
object
Show child attributes
naics
string
[2 to 6] characters
sic
string
4 characters
legalBusinessName
string
phone
object
Show child attributes
countryCode
string
<=1 characters
number
string
<=10 characters
website
string